#include "mainwindow.h"
#include <QApplication>
#include <QCommandLineParser>

#define PROJECT_NAME "qimv"

int main(int argc, char **argv) {
  QApplication app(argc, argv);
  app.setApplicationName("qimv");
  app.setApplicationVersion("0.1.0");

  QCommandLineParser parser;
  parser.setApplicationDescription("Quick image viewer");
  parser.addHelpOption();
  parser.addVersionOption();
  parser.addPositionalArgument("image", "Image to show.");

  parser.process(app);

  MainWindow wnd(parser.positionalArguments());
  wnd.show();
  return app.exec();
}
